diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rrc-protocol-ideal.cc ns-3.44/src/lte/model/lte-rrc-protocol-ideal.cc
--- ns-3.43/src/lte/model/lte-rrc-protocol-ideal.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rrc-protocol-ideal.cc	2025-03-09 16:55:49.603371900 -0700
@@ -13,12 +13,12 @@
 #include "lte-ue-net-device.h"
 #include "lte-ue-rrc.h"
 
-#include <ns3/fatal-error.h>
-#include <ns3/log.h>
-#include <ns3/node-list.h>
-#include <ns3/node.h>
-#include <ns3/nstime.h>
-#include <ns3/simulator.h>
+#include "ns3/fatal-error.h"
+#include "ns3/log.h"
+#include "ns3/node-list.h"
+#include "ns3/node.h"
+#include "ns3/nstime.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
@@ -26,12 +26,12 @@
 NS_LOG_COMPONENT_DEFINE("LteRrcProtocolIdeal");
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  */
 
 /// RRC ideal message delay
-static const Time RRC_IDEAL_MSG_DELAY = MilliSeconds(0);
+static const Time RRC_IDEAL_MSG_DELAY;
 
 NS_OBJECT_ENSURE_REGISTERED(LteUeRrcProtocolIdeal);
 
@@ -461,18 +461,18 @@
     /**
      * Get the message ID function
      *
-     * \returns the message ID
+     * @returns the message ID
      */
     uint32_t GetMsgId() const;
     /**
      * Set the message ID function
      *
-     * \param id the message ID
+     * @param id the message ID
      */
     void SetMsgId(uint32_t id);
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -585,18 +585,18 @@
     /**
      * Get the message ID function
      *
-     * \returns the message ID
+     * @returns the message ID
      */
     uint32_t GetMsgId() const;
     /**
      * Set the message ID function
      *
-     * \param id the message ID
+     * @param id the message ID
      */
     void SetMsgId(uint32_t id);
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rrc-protocol-ideal.h ns-3.44/src/lte/model/lte-rrc-protocol-ideal.h
--- ns-3.43/src/lte/model/lte-rrc-protocol-ideal.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rrc-protocol-ideal.h	2025-03-09 16:55:49.603371900 -0700
@@ -11,8 +11,8 @@
 
 #include "lte-rrc-sap.h"
 
-#include <ns3/object.h>
-#include <ns3/ptr.h>
+#include "ns3/object.h"
+#include "ns3/ptr.h"
 
 #include <map>
 #include <stdint.h>
@@ -26,7 +26,7 @@
 class LteUeRrc;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Models the transmission of RRC messages from the UE to the eNB in
  * an ideal fashion, without errors and without consuming any radio
@@ -45,28 +45,28 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Set LTE UE RRC SAP provider function
      *
-     * \param p LTE UE RRC SAP provider
+     * @param p LTE UE RRC SAP provider
      */
     void SetLteUeRrcSapProvider(LteUeRrcSapProvider* p);
     /**
      * Get LTE UE RRC SAP user function
      *
-     * \returns LTE UE RRC SAP user
+     * @returns LTE UE RRC SAP user
      */
     LteUeRrcSapUser* GetLteUeRrcSapUser();
 
     /**
      * Set LTE UE RRC  function
      *
-     * \param rrc LTE UE RRC
+     * @param rrc LTE UE RRC
      */
     void SetUeRrc(Ptr<LteUeRrc> rrc);
 
@@ -75,57 +75,57 @@
     /**
      * Setup function
      *
-     * \param params LteUeRrcSapUser::SetupParameters
+     * @param params LteUeRrcSapUser::SetupParameters
      */
     void DoSetup(LteUeRrcSapUser::SetupParameters params);
     /**
      * Send RRC connection request function
      *
-     * \param msg LteRrcSap::RrcConnectionRequest
+     * @param msg LteRrcSap::RrcConnectionRequest
      */
     void DoSendRrcConnectionRequest(LteRrcSap::RrcConnectionRequest msg);
     /**
      * Send RRC connection setup completed function
      *
-     * \param msg LteRrcSap::RrcConnectionSetupCompleted
+     * @param msg LteRrcSap::RrcConnectionSetupCompleted
      */
     void DoSendRrcConnectionSetupCompleted(LteRrcSap::RrcConnectionSetupCompleted msg);
     /**
      * Send RRC connection reconfiguration completed function
      *
-     * \param msg LteRrcSap::RrcConnectionReconfigurationCompleted
+     * @param msg LteRrcSap::RrcConnectionReconfigurationCompleted
      */
     void DoSendRrcConnectionReconfigurationCompleted(
         LteRrcSap::RrcConnectionReconfigurationCompleted msg);
     /**
      * Send RRC connection reestablishment request function
      *
-     * \param msg LteRrcSap::RrcConnectionReestablishmentRequest
+     * @param msg LteRrcSap::RrcConnectionReestablishmentRequest
      */
     void DoSendRrcConnectionReestablishmentRequest(
         LteRrcSap::RrcConnectionReestablishmentRequest msg);
     /**
      * Send RRC connection reestablishment complete function
      *
-     * \param msg LteRrcSap::RrcConnectionReestablishmentRequest
+     * @param msg LteRrcSap::RrcConnectionReestablishmentRequest
      */
     void DoSendRrcConnectionReestablishmentComplete(
         LteRrcSap::RrcConnectionReestablishmentComplete msg);
     /**
      * Send measurement report function
      *
-     * \param msg LteRrcSap::MeasurementReport
+     * @param msg LteRrcSap::MeasurementReport
      */
     void DoSendMeasurementReport(LteRrcSap::MeasurementReport msg);
 
     /**
-     * \brief Send Ideal UE context remove request function
+     * @brief Send Ideal UE context remove request function
      *
      * Notify eNodeB to release UE context once radio link failure
      * or random access failure is detected. It is needed since no
      * RLF detection mechanism at eNodeB is implemented
      *
-     * \param rnti the RNTI of the UE
+     * @param rnti the RNTI of the UE
      */
     void DoSendIdealUeContextRemoveRequest(uint16_t rnti);
 
@@ -157,43 +157,43 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Set LTE ENB RRC SAP provider function
      *
-     * \param p the LTE ENB RRC SAP provider
+     * @param p the LTE ENB RRC SAP provider
      */
     void SetLteEnbRrcSapProvider(LteEnbRrcSapProvider* p);
     /**
      * Get LTE ENB RRC SAP user function
      *
-     * \returns LTE ENB RRC SAP user
+     * @returns LTE ENB RRC SAP user
      */
     LteEnbRrcSapUser* GetLteEnbRrcSapUser();
 
     /**
      * Set the cell ID function
      *
-     * \param cellId the cell ID
+     * @param cellId the cell ID
      */
     void SetCellId(uint16_t cellId);
 
     /**
      * Get LTE UE RRC SAP provider function
      *
-     * \param rnti the RNTI
-     * \returns LTE UE RRC SAP provider
+     * @param rnti the RNTI
+     * @returns LTE UE RRC SAP provider
      */
     LteUeRrcSapProvider* GetUeRrcSapProvider(uint16_t rnti);
     /**
      * Set UE RRC SAP provider function
      *
-     * \param rnti the RNTI
-     * \param p the UE RRC SAP provider
+     * @param rnti the RNTI
+     * @param p the UE RRC SAP provider
      */
     void SetUeRrcSapProvider(uint16_t rnti, LteUeRrcSapProvider* p);
 
@@ -202,57 +202,57 @@
     /**
      * Setup UE function
      *
-     * \param rnti the RNTI
-     * \param params LteEnbRrcSapUser::SetupUeParameters
+     * @param rnti the RNTI
+     * @param params LteEnbRrcSapUser::SetupUeParameters
      */
     void DoSetupUe(uint16_t rnti, LteEnbRrcSapUser::SetupUeParameters params);
     /**
      * Remove UE function
      *
-     * \param rnti the RNTI
+     * @param rnti the RNTI
      */
     void DoRemoveUe(uint16_t rnti);
     /**
      * Send system information function
      *
-     * \param cellId cell ID
-     * \param msg LteRrcSap::SystemInformation
+     * @param cellId cell ID
+     * @param msg LteRrcSap::SystemInformation
      */
     void DoSendSystemInformation(uint16_t cellId, LteRrcSap::SystemInformation msg);
     /**
      * Send system information function
      *
-     * \param msg LteRrcSap::SystemInformation
+     * @param msg LteRrcSap::SystemInformation
      */
     void SendSystemInformation(LteRrcSap::SystemInformation msg);
     /**
      * Send RRC connection setup function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionSetup
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionSetup
      */
     void DoSendRrcConnectionSetup(uint16_t rnti, LteRrcSap::RrcConnectionSetup msg);
     /**
      * Send RRC connection reconfiguration function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReconfiguration
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReconfiguration
      */
     void DoSendRrcConnectionReconfiguration(uint16_t rnti,
                                             LteRrcSap::RrcConnectionReconfiguration msg);
     /**
      * Send RRC connection reestablishment function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReestablishment
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReestablishment
      */
     void DoSendRrcConnectionReestablishment(uint16_t rnti,
                                             LteRrcSap::RrcConnectionReestablishment msg);
     /**
      * Send RRC connection reestablishment reject function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReestablishmentReject
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReestablishmentReject
      */
     void DoSendRrcConnectionReestablishmentReject(
         uint16_t rnti,
@@ -260,43 +260,43 @@
     /**
      * Send RRC connection release function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionRelease
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionRelease
      */
     void DoSendRrcConnectionRelease(uint16_t rnti, LteRrcSap::RrcConnectionRelease msg);
     /**
      * Send RRC connection reject function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReject
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReject
      */
     void DoSendRrcConnectionReject(uint16_t rnti, LteRrcSap::RrcConnectionReject msg);
     /**
      * Encode handover preparation information function
      *
-     * \param msg LteRrcSap::HandoverPreparationInfo
-     * \returns the packet
+     * @param msg LteRrcSap::HandoverPreparationInfo
+     * @returns the packet
      */
     Ptr<Packet> DoEncodeHandoverPreparationInformation(LteRrcSap::HandoverPreparationInfo msg);
     /**
      * Encode handover preparation information function
      *
-     * \param p the packet
-     * \returns LteRrcSap::HandoverPreparationInfo
+     * @param p the packet
+     * @returns LteRrcSap::HandoverPreparationInfo
      */
     LteRrcSap::HandoverPreparationInfo DoDecodeHandoverPreparationInformation(Ptr<Packet> p);
     /**
      * Encode handover command function
      *
-     * \param msg LteRrcSap::RrcConnectionReconfiguration
-     * \returns rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReconfiguration
+     * @returns rnti the RNTI
      */
     Ptr<Packet> DoEncodeHandoverCommand(LteRrcSap::RrcConnectionReconfiguration msg);
     /**
      * Decode handover command function
      *
-     * \param p the packet
-     * \returns LteRrcSap::RrcConnectionReconfiguration
+     * @param p the packet
+     * @returns LteRrcSap::RrcConnectionReconfiguration
      */
     LteRrcSap::RrcConnectionReconfiguration DoDecodeHandoverCommand(Ptr<Packet> p);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rrc-protocol-real.cc ns-3.44/src/lte/model/lte-rrc-protocol-real.cc
--- ns-3.43/src/lte/model/lte-rrc-protocol-real.cc	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rrc-protocol-real.cc	2025-03-09 16:55:49.603371900 -0700
@@ -15,12 +15,12 @@
 #include "lte-ue-net-device.h"
 #include "lte-ue-rrc.h"
 
-#include <ns3/fatal-error.h>
-#include <ns3/log.h>
-#include <ns3/node-list.h>
-#include <ns3/node.h>
-#include <ns3/nstime.h>
-#include <ns3/simulator.h>
+#include "ns3/fatal-error.h"
+#include "ns3/log.h"
+#include "ns3/node-list.h"
+#include "ns3/node.h"
+#include "ns3/nstime.h"
+#include "ns3/simulator.h"
 
 namespace ns3
 {
@@ -28,7 +28,7 @@
 NS_LOG_COMPONENT_DEFINE("LteRrcProtocolReal");
 
 /// RRC real message delay
-const Time RRC_REAL_MSG_DELAY = MilliSeconds(0);
+const Time RRC_REAL_MSG_DELAY;
 
 NS_OBJECT_ENSURE_REGISTERED(LteUeRrcProtocolReal);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-rrc-protocol-real.h ns-3.44/src/lte/model/lte-rrc-protocol-real.h
--- ns-3.43/src/lte/model/lte-rrc-protocol-real.h	2024-10-09 16:41:10.040656600 -0700
+++ ns-3.44/src/lte/model/lte-rrc-protocol-real.h	2025-03-09 16:55:49.603371900 -0700
@@ -14,8 +14,8 @@
 #include "lte-rlc-sap.h"
 #include "lte-rrc-sap.h"
 
-#include <ns3/object.h>
-#include <ns3/ptr.h>
+#include "ns3/object.h"
+#include "ns3/ptr.h"
 
 #include <map>
 #include <stdint.h>
@@ -29,7 +29,7 @@
 class LteUeRrc;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Models the transmission of RRC messages from the UE to the eNB in
  * a real fashion, by creating real RRC PDUs and transmitting them
@@ -53,28 +53,28 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Set LTE UE RRC SAP provider function
      *
-     * \param p the LTE UE RRC SAP provider
+     * @param p the LTE UE RRC SAP provider
      */
     void SetLteUeRrcSapProvider(LteUeRrcSapProvider* p);
     /**
      * Get LTE UE RRC SAP user function
      *
-     * \returns LTE UE RRC SAP user
+     * @returns LTE UE RRC SAP user
      */
     LteUeRrcSapUser* GetLteUeRrcSapUser();
 
     /**
      * Set UE RRC function
      *
-     * \param rrc the LTE UE RRC
+     * @param rrc the LTE UE RRC
      */
     void SetUeRrc(Ptr<LteUeRrc> rrc);
 
@@ -83,56 +83,56 @@
     /**
      * Setup function
      *
-     * \param params LteUeRrcSapUser::SetupParameters
+     * @param params LteUeRrcSapUser::SetupParameters
      */
     void DoSetup(LteUeRrcSapUser::SetupParameters params);
     /**
      * Send RRC connection request function
      *
-     * \param msg LteRrcSap::RrcConnectionRequest
+     * @param msg LteRrcSap::RrcConnectionRequest
      */
     void DoSendRrcConnectionRequest(LteRrcSap::RrcConnectionRequest msg);
     /**
      * Send RRC connection setup completed function
      *
-     * \param msg LteRrcSap::RrcConnectionSetupCompleted
+     * @param msg LteRrcSap::RrcConnectionSetupCompleted
      */
     void DoSendRrcConnectionSetupCompleted(LteRrcSap::RrcConnectionSetupCompleted msg) const;
     /**
      * Send RRC connection reconfiguration setup completed function
      *
-     * \param msg LteRrcSap::RrcConnectionReconfigurationCompleted
+     * @param msg LteRrcSap::RrcConnectionReconfigurationCompleted
      */
     void DoSendRrcConnectionReconfigurationCompleted(
         LteRrcSap::RrcConnectionReconfigurationCompleted msg);
     /**
      * Send RRC connection reestablishment request function
      *
-     * \param msg LteRrcSap::RrcConnectionReestablishmentRequest
+     * @param msg LteRrcSap::RrcConnectionReestablishmentRequest
      */
     void DoSendRrcConnectionReestablishmentRequest(
         LteRrcSap::RrcConnectionReestablishmentRequest msg) const;
     /**
      * Send RRC connection reestablishment complete function
      *
-     * \param msg LteRrcSap::RrcConnectionReestablishmentComplete
+     * @param msg LteRrcSap::RrcConnectionReestablishmentComplete
      */
     void DoSendRrcConnectionReestablishmentComplete(
         LteRrcSap::RrcConnectionReestablishmentComplete msg) const;
     /**
      * Send measurement report function
      *
-     * \param msg LteRrcSap::MeasurementReport
+     * @param msg LteRrcSap::MeasurementReport
      */
     void DoSendMeasurementReport(LteRrcSap::MeasurementReport msg);
     /**
-     * \brief Send ideal UE context remove request function
+     * @brief Send ideal UE context remove request function
      *
      * Notify eNodeB to release UE context once radio link failure
      * or random access failure is detected. It is needed since no
      * RLF detection mechanism at eNodeB is implemented
      *
-     * \param rnti the RNTI of the UE
+     * @param rnti the RNTI of the UE
      */
     void DoSendIdealUeContextRemoveRequest(uint16_t rnti);
 
@@ -141,13 +141,13 @@
     /**
      * Receive PDCP PDU function
      *
-     * \param p the packet
+     * @param p the packet
      */
     void DoReceivePdcpPdu(Ptr<Packet> p);
     /**
      * Receive PDCP SDU function
      *
-     * \param params LtePdcpSapUser::ReceivePdcpSduParameters
+     * @param params LtePdcpSapUser::ReceivePdcpSduParameters
      */
     void DoReceivePdcpSdu(LtePdcpSapUser::ReceivePdcpSduParameters params);
 
@@ -187,43 +187,43 @@
     // inherited from Object
     void DoDispose() override;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Set LTE ENB RRC SAP provider function
      *
-     * \param p LteEnbRrcSapProvider *
+     * @param p LteEnbRrcSapProvider *
      */
     void SetLteEnbRrcSapProvider(LteEnbRrcSapProvider* p);
     /**
      * Get LTE ENB RRC SAP user function
      *
-     * \returns LteEnbRrcSapUser *
+     * @returns LteEnbRrcSapUser *
      */
     LteEnbRrcSapUser* GetLteEnbRrcSapUser();
 
     /**
      * Set cell ID function
      *
-     * \param cellId the cell ID
+     * @param cellId the cell ID
      */
     void SetCellId(uint16_t cellId);
 
     /**
      * Get UE RRC SAP provider function
      *
-     * \param rnti the RNTI
-     * \returns LteUeRrcSapProvider *
+     * @param rnti the RNTI
+     * @returns LteUeRrcSapProvider *
      */
     LteUeRrcSapProvider* GetUeRrcSapProvider(uint16_t rnti);
     /**
      * Set UE RRC SAP provider function
      *
-     * \param rnti the RNTI
-     * \param p LteUeRrcSapProvider *
+     * @param rnti the RNTI
+     * @param p LteUeRrcSapProvider *
      */
     void SetUeRrcSapProvider(uint16_t rnti, LteUeRrcSapProvider* p);
 
@@ -232,58 +232,58 @@
     /**
      * Setup UE function
      *
-     * \param rnti the RNTI
-     * \param params LteEnbRrcSapUser::SetupUeParameters
+     * @param rnti the RNTI
+     * @param params LteEnbRrcSapUser::SetupUeParameters
      */
     void DoSetupUe(uint16_t rnti, LteEnbRrcSapUser::SetupUeParameters params);
     /**
      * Remove UE function
      *
-     * \param rnti the RNTI
+     * @param rnti the RNTI
      */
     void DoRemoveUe(uint16_t rnti);
     /**
      * Send system information function
      *
-     * \param cellId cell ID
-     * \param msg LteRrcSap::SystemInformation
+     * @param cellId cell ID
+     * @param msg LteRrcSap::SystemInformation
      */
     void DoSendSystemInformation(uint16_t cellId, LteRrcSap::SystemInformation msg);
     /**
      * Send system information function
      *
-     * \param cellId cell ID
-     * \param msg LteRrcSap::SystemInformation
+     * @param cellId cell ID
+     * @param msg LteRrcSap::SystemInformation
      */
     void SendSystemInformation(uint16_t cellId, LteRrcSap::SystemInformation msg);
     /**
      * Send RRC connection setup function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionSetup
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionSetup
      */
     void DoSendRrcConnectionSetup(uint16_t rnti, LteRrcSap::RrcConnectionSetup msg);
     /**
      * Send RRC connection reconfiguration function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReconfiguration
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReconfiguration
      */
     void DoSendRrcConnectionReconfiguration(uint16_t rnti,
                                             LteRrcSap::RrcConnectionReconfiguration msg);
     /**
      * Send RRC connection reestabishment function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReestablishment
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReestablishment
      */
     void DoSendRrcConnectionReestablishment(uint16_t rnti,
                                             LteRrcSap::RrcConnectionReestablishment msg);
     /**
      * Send RRC connection reestabishment reject function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReestablishmentReject
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReestablishmentReject
      */
     void DoSendRrcConnectionReestablishmentReject(
         uint16_t rnti,
@@ -291,57 +291,57 @@
     /**
      * Send RRC connection release function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionRelease
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionRelease
      */
     void DoSendRrcConnectionRelease(uint16_t rnti, LteRrcSap::RrcConnectionRelease msg);
     /**
      * Send RRC connection reject function
      *
-     * \param rnti the RNTI
-     * \param msg LteRrcSap::RrcConnectionReject
+     * @param rnti the RNTI
+     * @param msg LteRrcSap::RrcConnectionReject
      */
     void DoSendRrcConnectionReject(uint16_t rnti, LteRrcSap::RrcConnectionReject msg);
     /**
      * Encode handover preparation information function
      *
-     * \param msg LteRrcSap::HandoverPreparationInfo
-     * \returns the packet
+     * @param msg LteRrcSap::HandoverPreparationInfo
+     * @returns the packet
      */
     Ptr<Packet> DoEncodeHandoverPreparationInformation(LteRrcSap::HandoverPreparationInfo msg);
     /**
      * Decode handover preparation information function
      *
-     * \param p the packet
-     * \returns LteRrcSap::HandoverPreparationInfo
+     * @param p the packet
+     * @returns LteRrcSap::HandoverPreparationInfo
      */
     LteRrcSap::HandoverPreparationInfo DoDecodeHandoverPreparationInformation(Ptr<Packet> p);
     /**
      * Encode handover command function
      *
-     * \param msg LteRrcSap::RrcConnectionReconfiguration
-     * \returns the packet
+     * @param msg LteRrcSap::RrcConnectionReconfiguration
+     * @returns the packet
      */
     Ptr<Packet> DoEncodeHandoverCommand(LteRrcSap::RrcConnectionReconfiguration msg);
     /**
      * Decode handover command function
      *
-     * \param p the packet
-     * \returns LteRrcSap::RrcConnectionReconfiguration
+     * @param p the packet
+     * @returns LteRrcSap::RrcConnectionReconfiguration
      */
     LteRrcSap::RrcConnectionReconfiguration DoDecodeHandoverCommand(Ptr<Packet> p);
 
     /**
      * Receive PDCP SDU function
      *
-     * \param params LtePdcpSapUser::ReceivePdcpSduParameters
+     * @param params LtePdcpSapUser::ReceivePdcpSduParameters
      */
     void DoReceivePdcpSdu(LtePdcpSapUser::ReceivePdcpSduParameters params);
     /**
      * Receive PDCP PDU function
      *
-     * \param rnti the RNTI
-     * \param p the packet
+     * @param rnti the RNTI
+     * @param p the packet
      */
     void DoReceivePdcpPdu(uint16_t rnti, Ptr<Packet> p);
 
@@ -363,8 +363,8 @@
     /**
      * Real protocol RC SAP user
      *
-     * \param pdcp LteEnbRrcProtocolReal *
-     * \param rnti the RNTI
+     * @param pdcp LteEnbRrcProtocolReal *
+     * @param rnti the RNTI
      */
     RealProtocolRlcSapUser(LteEnbRrcProtocolReal* pdcp, uint16_t rnti);
 
